Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.CursorAction

    java.lang.Object
      java.lang.Enum<QAbstractItemView.CursorAction>
          com.trolltech.qt.gui.QAbstractItemView.CursorAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.CursorAction>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.CursorAction

extends java.lang.Enum<QAbstractItemView.CursorAction>
implements QtEnumerator

This enum describes the different ways to navigate between items,

See Also:
  `moveCursor`

Enum Constant Summary
`MoveDown` Move to the item below the current item.
`MoveEnd` Move to the bottom-right corner item.
`MoveHome` Move to the top-left corner item.
`MoveLeft` Move to the item left of the current item.
`MoveNext` Move to the item after the current item.
`MovePageDown` Move one page down below the current item.
`MovePageUp` Move one page up above the current item.
`MovePrevious` Move to the item before the current item.
`MoveRight` Move to the item right of the current item.
`MoveUp` Move to the item above the current item.

Method Summary
`static QAbstractItemView.CursorAction` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.CursorAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.CursorAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MoveUp

    public static final QAbstractItemView.CursorAction MoveUp

  Move to the item above the current item.

### MoveDown

    public static final QAbstractItemView.CursorAction MoveDown

  Move to the item below the current item.

### MoveLeft

    public static final QAbstractItemView.CursorAction MoveLeft

  Move to the item left of the current item.

### MoveRight

    public static final QAbstractItemView.CursorAction MoveRight

  Move to the item right of the current item.

### MoveHome

    public static final QAbstractItemView.CursorAction MoveHome

  Move to the top-left corner item.

### MoveEnd

    public static final QAbstractItemView.CursorAction MoveEnd

  Move to the bottom-right corner item.

### MovePageUp

    public static final QAbstractItemView.CursorAction MovePageUp

  Move one page up above the current item.

### MovePageDown

    public static final QAbstractItemView.CursorAction MovePageDown

  Move one page down below the current item.

### MoveNext

    public static final QAbstractItemView.CursorAction MoveNext

  Move to the item after the current item.

### MovePrevious

    public static final QAbstractItemView.CursorAction MovePrevious

  Move to the item before the current item.

Method Detail

### values

    public static final QAbstractItemView.CursorAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.CursorAction c : QAbstractItemView.CursorAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.CursorAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.CursorAction resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD